/**
 * Created by user on 2016/7/25.
 */
$(function () {
    $(window).resize(function () {
        patH();
        //if (parseInt($("body").width()) < 1281) {
        //    $(".nheader h2").addClass("changeSty");
        //} else {
        //    $(".nheader h2").removeClass("changeSty");
        //}
        calcHeader();
    });

    patH();

    $(".ih_r > li:nth-child(1)").css({marginBottom : $(".ih_r").height() * 0.01,marginRight : "0.5%"});
    $(".ih_r > li:nth-child(2)").css({marginBottom : $(".ih_r").height() * 0.01,marginLeft : "0.5%"});
    $(".ih_r > li:nth-child(3)").css({marginTop : $(".ih_r").height() * 0.01,marginRight : "0.5%"});
    $(".ih_r > li:nth-child(4)").css({marginTop : $(".ih_r").height() * 0.01,marginLeft : "0.5%"});
    //$(".ih_r > li:even").css("margin-top",$(".ih_r").height() * 0.01);

    $("div[showid],.shownone[showid]").hide();
    //侧边栏点击更换样式
    //$(".nfunc li").click(function () {
    //    $(this).addClass("nfunc_s").siblings().removeClass("nfunc_s");
    //});
    //导航栏点击更换样式
    //$(".nnav > li > a").click(function () {
    //    var view = ".nnav > li > a";
    //    changeClass(view,"nnavsel",this)
    //});

    //$(".n_popup_show li").click(function () {
    //    var view = ".n_popup_show li";
    //    changeClass(view,"n_popup_sty",this)
    //});

    $(".nm_page a").click(function () {
        var view = ".nm_page a";
        changeClass(view,"nm_pagesel",this)
    });

    $(".nmain_tnav > li > a").click(function () {
        $(this).siblings("ul").show();
        //$(this).find("ul").mouseleave(function () {
        //    $(this).hide();
        //});
    });

    $(".nmain_tit_sel1").on("click","li", function () {
        var view = ".nmain_tit_sel1 li";
        changeClass(view,"nmain_tit_selsty",this);
        var lva = $(this).html();
        $(this).parents("li").find("a").html(lva);
        $(".nmain_tit_sel1").hide();
    });

    $(".npr_close").click(function () {
       $(this).parent().hide();
    });

    $(".loginChange li span").click(function () {
        var view = ".loginChange li span";
        changeClass(view,"loginChange_sty",this)
    });

    $(".namin_tds").click(function () {
        var view = ".namin_tds";
        changeClass(view,"namin_tds_sty",this)
    });

    //$(".pcs_al li").click(function () {
    //    var view = ".pcs_al li";
    //    changeClass(view,"pcs_al_sty",this)
    //});
    
    $(".namin_tabs2 tbody tr").click(function () {
        var view = ".namin_tabs2 tbody tr";
        changeClass(view,"pcs_tr_sty",this)
    });

    $(".ppr_btn").click(function () {
        var view = ".ppr_btn";
        changeClass(view,"ppr_btn_sty",this)
    });

    $(".xcontent_text").click(function () {
        var view = ".xcontent_text";
        changeClass(view,"xcontent_ts",this)
    });

    $(".imh_l li").click(function () {
        //var view = ".imh_l li";
        //changeclass(view,"imh_l_sty",this)
        $(this).parent().find("li").removeClass("imh_l_sty");
        $(this).addClass("imh_l_sty");
        $("#" + $(this).attr("tn")).show();
        $("#" + $(this).siblings().attr("tn")).hide();
    });

    $(".pre_btn").click(function () {
        if ($(this).siblings(".pre_btnin").css("display") == "none"){
            $(this).siblings(".pre_btnin").css("display","inline-block");
            $(this).html("&lt;&lt;");
        }else if($(this).siblings(".pre_btnin").css("display") == "inline-block"){
            $(this).siblings(".pre_btnin").hide();
            $(this).html("&bull;&bull;&bull;");
        }
    });


    $(".nhp_s1").click(function () {
        $(this).addClass("nhp_sty");
        $(this).siblings().removeClass("nhp_sty");
        $(".np_aside").show();
        //$(".nmain").addClass("nmain_pcs");
        $(".np_main").removeClass("np_main_tre");
    });

    $(".nhp_s2").click(function () {
        $(this).addClass("nhp_sty");
        $(this).siblings().removeClass("nhp_sty");
        $(".np_aside").hide();
        //$(".nmain").removeClass("nmain_pcs");
        $(".np_main").addClass("np_main_tre");
    });

    $(".nhp_s3").click(function () {
        $(this).addClass("nhp_sty");
        $(this).siblings().removeClass("nhp_sty");
    });

    //$(".ppr_title3").click(function () {
    //    if ($(this).hasClass("ppr_title3_sty")){
    //        $(this).removeClass("ppr_title3_sty");
    //    }else {
    //        $(this).addClass("ppr_title3_sty");
    //    }
    //    //$(this).css("transform","rotate(180deg)");
    //    $(this).parent().next(".ppr_main").toggle();
    //});


    //$(".nmt_inp").focus(function () {
    //    if ($(this).val() != ""){
    //        $(this).keydown(function(e){
    //            e = e || window.event;
    //            if(e.keyCode==13){
    //                alert(1);
    //            }
    //        });
    //    }
    //});

    function stopm(e){
        e = e || window.event;
        e.stopPropagation();
    }

    $(".np_prop").click(function (event) {
        var event = event || window.event;
        event.stopPropagation();
    });
    $('body').on('click', '.table-condensed td', function (event) {
        var event = event || window.event;
        event.stopPropagation();
    })

    //$("body").click(function () {
    //    //$(".np_prop").css("right","-610px");
    //    $(".np_prop").animate({right:"-610px"});
    //    $(".pcs_tr").removeClass("pcs_tr_sty");
    //    $(".pcs_tta tbody tr").removeClass("pcs_tr_sty");
    //    $(".mains .nmain").removeClass("nmain_pcs");
    //});

    //$("body").mouseup(function(e){
    //    e = e || window.event;
    //    //console.log(e);
    //    var obj = $(' .np_prop ');
    //    if(!obj.is(e.target) && obj.has(e.target).length === 0){
    //        $(".np_prop").animate({right:"-610px"});
    //        $(".pcs_tr").removeClass("pcs_tr_sty");
    //        $(".pcs_tta tbody tr").removeClass("pcs_tr_sty");
    //        $(".mains .nmain").removeClass("nmain_pcs");
    //    }
    //});

    //$(".pcs_tta tbody tr").click(function (e) {
    //    //if ($(this).hasClass("pcs_tr_sty")){
    //    //    $(".pcs_tr").removeClass("pcs_tr_sty");
    //    //    $(".pcs_tta tbody tr").removeClass("pcs_tr_sty");
    //    //    //$(".np_prop").stop().css("right","-610px");
    //    //    $(".np_prop").stop().animate({right:"-610px"});
    //    //}else {
    //        $(this).siblings().removeClass("pcs_tr_sty");
    //        $(".pcs_tta tbody tr").siblings().removeClass("pcs_tr_sty");
    //        $(this).addClass("pcs_tr_sty");
    //        $(".np_prop").stop().animate({right:"0px"});
    //    //}
    //});
    
    //$(document)[0].addEventListener("touchend", function () {
    //    $(".np_prop").animate({right:"-610px"});
    //    $(".pcs_tr").removeClass("pcs_tr_sty");
    //    $(".pcs_tta tbody tr").removeClass("pcs_tr_sty");
    //    $(".mains .nmain").removeClass("nmain_pcs");
    //});

    //$(".itbody tr").each(function (i) {
    //    if (i > 9){
    //        $(this).hide();
    //    }
    //});

    //$(".im_icon").click(function () {
    //    var sp = $(this).find("span");
    //    if (sp.hasClass("im_a1")){
    //        $(".itbody tr").each(function (i) {
    //            $(this).fadeIn();
    //        });
    //        sp.removeClass("im_a1").addClass("im_a2");
    //    }else if (sp.hasClass("im_a2")){
    //        $(".itbody tr").each(function (i) {
    //            if (i > 9){
    //                $(this).fadeOut();
    //            }
    //        });
    //        sp.removeClass("im_a2").addClass("im_a1");
    //    }
    //});

    //$(".upl_a").click(function () {
    //    layer.open({
    //        type: 1,  //0（信息框，默认）1（页面层）2（iframe层）3（加载层）4（tips层）
    //        title: 'iframe父子操作',
    //        area: ['100%',"340px"],
    //        content: '<input type="file" name="txt_file" id="img_file" multiple class="file-loading" />'
    //    });
    //    var FileInput = function () {
    //        var oFile = new Object();
    //        //初始化fileinput控件（第一次初始化）
    //        oFile.Init = function(ctrlName, uploadUrl) {
    //            var control = $('#' + ctrlName);
    //            //初始化上传控件的样式
    //            control.fileinput({
    //                language: 'zh', //设置语言
    //                uploadUrl: uploadUrl, //上传的地址
    //                allowedFileExtensions: ['jpg', 'gif', 'png'],//接收的文件后缀
    //                showUpload: true, //是否显示上传按钮
    //                showCaption: false,//是否显示标题
    //                browseClass: "btn btn-primary", //按钮样式
    //                //dropZoneEnabled: false,//是否显示拖拽区域
    //                //minImageWidth: 50, //图片的最小宽度
    //                //minImageHeight: 50,//图片的最小高度
    //                //maxImageWidth: 1000,//图片的最大宽度
    //                //maxImageHeight: 1000,//图片的最大高度
    //                //maxFileSize: 0,//单位为kb，如果为0表示不限制文件大小
    //                //minFileCount: 0,
    //                maxFileCount: 10, //表示允许同时上传的最大文件个数
    //                enctype: 'multipart/form-data',
    //                validateInitialCount:true,
    //                previewFileIcon: "<i class='glyphicon glyphicon-king'></i>",
    //                msgFilesTooMany: "选择上传的文件数量({n}) 超过允许的最大数值{m}！",
    //            });
    //            //导入文件上传完成之后的事件
    //            $("#txt_file").on("fileuploaded", function (event, data, previewId, index) {
    //                console.log(data);
    //                //var data = data.response.lstOrderImport;
    //                //if (data == undefined) {
    //                //    toastr.error('文件格式类型不正确');
    //                //    return;
    //                //}
    //            });
    //        };
    //        return oFile;
    //    };
    //    var oFileInput = new FileInput();
    //    oFileInput.Init("img_file", "../content/img");
    //});

    $(".imgt_add").click(function () {
        $(".imgupload_b").slideDown();
    });

    $(".imgup_cg").click(function () {
        $(".imgupload_b").slideUp();
    });

    //$(".imgupload_t ul").on("click","li",function () {
    //    $.getJSON('/jquery/layer/test/photos.json', function(json){
    //        layer.photos({
    //            photos: json
    //        });
    //    });
    //    //而返回的json需严格按照如下格式：
    ////    "title": "", //相册标题
    ////        "id": 123, //相册id
    ////        "start": 0, //初始显示的图片序号，默认0
    ////        "data": [   //相册包含的图片，数组格式
    ////        {
    ////            "alt": "图片名",
    ////            "pid": 666, //图片id
    ////            "src": "", //原图地址
    ////            "thumb": "" //缩略图地址
    ////        }
    ////    ]
    ////}
    //});
    layer.ready(function(){ //为了layer.ext.js加载完毕再执行
        layer.photos({
            photos: '#imgshow'
        });
    });

    $(".nnav li a").click(function () {
        layer.load(2);
    });

    //下拉切换刷新表格初始化
    $(".sels").each(function (i) {
        if ($(this).find("input[type='hidden']").attr("pvalues")){
            $(this).find("a.dropdown-toggle em").text($(this).find("input[type='hidden']").attr("pvalues"));
        }
    });
    //搜索初始
    //搜索初始
    $(".nmt_input").each(function (i) {
        $(this).keydown(function (event) {
            if (event.keyCode == 13) {
                $('#searchForm .nmt_ibut').trigger('click');
                //_search();
            }
        });
        if ($(this).val()) {
            $(".nmt_d").addClass("sTy1");
        }
    });

    if (parseInt($("body").width()) < 1980) {
        //$(".nheader h2").addClass("changeSty");
        calcHeader()
    }
});
